openshot::ErrorDecodingAudio Class Reference

Exception when decoding audio packet. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::ErrorDecodingAudio:

## Public Member Functions

| ErrorDecodingAudio (string message, int64_t frame_number)
virtual | ~ErrorDecodingAudio () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Public Attributes

string | file_path
int64_t | frame_number

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception when decoding audio packet.

Definition at line 79 of file Exceptions.h.

## Constructor & Destructor Documentation

## ErrorDecodingAudio()

openshot::ErrorDecodingAudio::ErrorDecodingAudio | ( | string | message,
|  | int64_t | frame_number
| ) |  |

inline

Definition at line 84 of file Exceptions.h.

## ~ErrorDecodingAudio()

virtual openshot::ErrorDecodingAudio::~ErrorDecodingAudio | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 86 of file Exceptions.h.

## Member Data Documentation

## file_path

string openshot::ErrorDecodingAudio::file_path

Definition at line 82 of file Exceptions.h.

## frame_number

int64_t openshot::ErrorDecodingAudio::frame_number

Definition at line 83 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h